// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

describe('Meine_Module', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser('chrome').build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('Meine_Module', async function() {
    await driver.get("http://advp44.gm.fh-koeln.de:8081/")
    await driver.manage().window().setRect(1898, 1013)
    await driver.findElement(By.css(".ng-star-inserted:nth-child(6) .mat-mdc-list-item-title")).click()
    {
      const element = await driver.findElement(By.css(".mat-primary > .mat-mdc-button-touch-target"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    assert(await driver.findElement(By.css("h2")).getText() === "Meine Module")
  })
})
